## generatorrunner 0.6.4-1maemo1

=== CMakeLists.txt ===
project(generatorrunner)

cmake_minimum_required(VERSION 2.6)

find_package(Qt4 4.5.0 REQUIRED)
find_package(ApiExtractor 0.9.0 REQUIRED)

option(BUILD_TESTS "Build tests." TRUE)
option(INSTALL_TESTS "Install tests" FALSE)
option(TEST_INSTALL_DIR "Test install directory" FALSE)
option(ENABLE_VERSION_SUFFIX "Used to use current version in suffix to generated files. This is used to allow multiples versions installed simultaneous." FALSE)

if(MSVC)
    set(CMAKE_CXX_FLAGS "/Zc:wchar_t- /EHsc /DWIN32 /D_WINDOWS /D_SCL_SECURE_NO_WARNINGS")
else()
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimize library size and performance. Only available on Release Mode" 0)
    if (CMAKE_HOST_UNIX)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
    endif()
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wno-strict-aliasing -Wl,-O1")
        if(NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()


set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)


# lib generator version
set(generator_MAJOR_VERSION "0")
set(generator_MINOR_VERSION "6")
set(generator_MICRO_VERSION "4")
set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")
if (ENABLE_VERSION_SUFFIX)
    set(generator_SUFFIX "-${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
else()
    set(generator_SUFFIX "")
endif()

set(generator_plugin_DIR ${LIB_INSTALL_DIR}/generatorrunner${generator_SUFFIX})

add_definitions(${QT_DEFINITIONS})

configure_file(generatorrunnerconfig.h.in "${CMAKE_CURRENT_BINARY_DIR}/generatorrunnerconfig.h" @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR})

add_library(genrunner SHARED generator.cpp)
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION} DEFINE_SYMBOL GENRUNNER_EXPORTS)
target_link_libraries(genrunner ${QT_QTCORE_LIBRARY} ${APIEXTRACTOR_LIBRARY})
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION}
                                SOVERSION ${generator_SOVERSION}
                                OUTPUT_NAME genrunner${generator_SUFFIX})

add_executable(generatorrunner main.cpp)
set_target_properties(generatorrunner PROPERTIES OUTPUT_NAME generatorrunner${generator_SUFFIX})
target_link_libraries(generatorrunner
                      genrunner
                      ${APIEXTRACTOR_LIBRARY}
                      ${QT_QTCORE_LIBRARY})

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")



set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${generator_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})


set(GENERATORRUNNER_INC_DIR "generatorrunner${generator_SUFFIX}")
install(TARGETS genrunner LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                          ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
                          RUNTIME DESTINATION bin)
install(TARGETS generatorrunner DESTINATION bin)
install(FILES generator.h DESTINATION include/${GENERATORRUNNER_INC_DIR})
install(FILES generatorrunnermacros.h DESTINATION include/${GENERATORRUNNER_INC_DIR})

if (BUILD_TESTS)
    if (NOT TEST_INSTALL_DIR)
        set(TEST_INSTALL_DIR "share/generatorrunner/tests")
    endif()
    enable_testing()
endif()

add_subdirectory(generators)
add_subdirectory(doc)

if (BUILD_TESTS)
    add_subdirectory(tests)
endif()
add_subdirectory(data)

=== obj-i486-linux-gnu/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_X86/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_X86/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/bruno/workspace/git/maemo5/generatorrunner

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_X86/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_X86/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/targets/FREMANTLE_X86/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named dist

# Build rule for target.
dist: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 dist
.PHONY : dist

# fast build rule for target.
dist/fast:
	$(MAKE) -f CMakeFiles/dist.dir/build.make CMakeFiles/dist.dir/build
.PHONY : dist/fast

#=============================================================================
# Target rules for targets named generatorrunner

# Build rule for target.
generatorrunner: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 generatorrunner
.PHONY : generatorrunner

# fast build rule for target.
generatorrunner/fast:
	$(MAKE) -f CMakeFiles/generatorrunner.dir/build.make CMakeFiles/generatorrunner.dir/build
.PHONY : generatorrunner/fast

#=============================================================================
# Target rules for targets named genrunner

# Build rule for target.
genrunner: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 genrunner
.PHONY : genrunner

# fast build rule for target.
genrunner/fast:
	$(MAKE) -f CMakeFiles/genrunner.dir/build.make CMakeFiles/genrunner.dir/build
.PHONY : genrunner/fast

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

#=============================================================================
# Target rules for targets named docgenerator

# Build rule for target.
docgenerator: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 docgenerator
.PHONY : docgenerator

# fast build rule for target.
docgenerator/fast:
	$(MAKE) -f generators/qtdoc/CMakeFiles/docgenerator.dir/build.make generators/qtdoc/CMakeFiles/docgenerator.dir/build
.PHONY : docgenerator/fast

#=============================================================================
# Target rules for targets named qtdoc_generator

# Build rule for target.
qtdoc_generator: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 qtdoc_generator
.PHONY : qtdoc_generator

# fast build rule for target.
qtdoc_generator/fast:
	$(MAKE) -f generators/qtdoc/CMakeFiles/qtdoc_generator.dir/build.make generators/qtdoc/CMakeFiles/qtdoc_generator.dir/build
.PHONY : qtdoc_generator/fast

#=============================================================================
# Target rules for targets named sphinxtabletest

# Build rule for target.
sphinxtabletest: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 sphinxtabletest
.PHONY : sphinxtabletest

# fast build rule for target.
sphinxtabletest/fast:
	$(MAKE) -f tests/CMakeFiles/sphinxtabletest.dir/build.make tests/CMakeFiles/sphinxtabletest.dir/build
.PHONY : sphinxtabletest/fast

generator.o: generator.cpp.o
.PHONY : generator.o

# target to build an object file
generator.cpp.o:
	$(MAKE) -f CMakeFiles/genrunner.dir/build.make CMakeFiles/genrunner.dir/generator.cpp.o
.PHONY : generator.cpp.o

generator.i: generator.cpp.i
.PHONY : generator.i

# target to preprocess a source file
generator.cpp.i:
	$(MAKE) -f CMakeFiles/genrunner.dir/build.make CMakeFiles/genrunner.dir/generator.cpp.i
.PHONY : generator.cpp.i

generator.s: generator.cpp.s
.PHONY : generator.s

# target to generate assembly for a file
generator.cpp.s:
	$(MAKE) -f CMakeFiles/genrunner.dir/build.make CMakeFiles/genrunner.dir/generator.cpp.s
.PHONY : generator.cpp.s

main.o: main.cpp.o
.PHONY : main.o

# target to build an object file
main.cpp.o:
	$(MAKE) -f CMakeFiles/generatorrunner.dir/build.make CMakeFiles/generatorrunner.dir/main.cpp.o
.PHONY : main.cpp.o

main.i: main.cpp.i
.PHONY : main.i

# target to preprocess a source file
main.cpp.i:
	$(MAKE) -f CMakeFiles/generatorrunner.dir/build.make CMakeFiles/generatorrunner.dir/main.cpp.i
.PHONY : main.cpp.i

main.s: main.cpp.s
.PHONY : main.s

# target to generate assembly for a file
main.cpp.s:
	$(MAKE) -f CMakeFiles/generatorrunner.dir/build.make CMakeFiles/generatorrunner.dir/main.cpp.s
.PHONY : main.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... dist"
	@echo "... edit_cache"
	@echo "... generatorrunner"
	@echo "... genrunner"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... uninstall"
	@echo "... docgenerator"
	@echo "... qtdoc_generator"
	@echo "... sphinxtabletest"
	@echo "... generator.o"
	@echo "... generator.i"
	@echo "... generator.s"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tests/CMakeLists.txt ===
if (NOT APIEXTRACTOR_DOCSTRINGS_DISABLED)
    project(sphinxtabletest)

    # TODO
    set(sphinxtabletest_SRC sphinxtabletest.cpp)
    qt4_automoc(${sphinxtabletest_SRC})

    include_directories(${QT_INCLUDE_DIR}
                        ${QT_QTCORE_INCLUDE_DIR}
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${qtdoc_generator_SOURCE_DIR})

    add_executable(sphinxtabletest ${sphinxtabletest_SRC})

    target_link_libraries(sphinxtabletest
                        ${QT_QTTEST_LIBRARY}
                        ${APIEXTRACTOR_LIBRARY}
                        qtdoc_generator
                        genrunner)

    add_test("sphinxtable" sphinxtabletest)
    if (INSTALL_TESTS)
        install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/sphinxtabletest DESTINATION ${TEST_INSTALL_DIR})
    endif()
endif()

=== obj-i486-linux-gnu/data/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_X86/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_X86/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/bruno/workspace/git/maemo5/generatorrunner

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_X86/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_X86/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/targets/FREMANTLE_X86/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/data/CMakeFiles/progress.make
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 data/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 data/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 data/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 data/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== obj-i486-linux-gnu/doc/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_X86/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_X86/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/bruno/workspace/git/maemo5/generatorrunner

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_X86/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_X86/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/targets/FREMANTLE_X86/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/doc/CMakeFiles/progress.make
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 doc/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 doc/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 doc/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 doc/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== obj-i486-linux-gnu/generators/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_X86/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_X86/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/bruno/workspace/git/maemo5/generatorrunner

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_X86/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_X86/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/targets/FREMANTLE_X86/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/generators/CMakeFiles/progress.make
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 generators/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 generators/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 generators/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 generators/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== obj-i486-linux-gnu/tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_X86/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_X86/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/bruno/workspace/git/maemo5/generatorrunner

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_X86/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_X86/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/targets/FREMANTLE_X86/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/tests/CMakeFiles/progress.make
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/CMakeFiles/sphinxtabletest.dir/rule:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/sphinxtabletest.dir/rule
.PHONY : tests/CMakeFiles/sphinxtabletest.dir/rule

# Convenience name for target.
sphinxtabletest: tests/CMakeFiles/sphinxtabletest.dir/rule
.PHONY : sphinxtabletest

# fast build rule for target.
sphinxtabletest/fast:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f tests/CMakeFiles/sphinxtabletest.dir/build.make tests/CMakeFiles/sphinxtabletest.dir/build
.PHONY : sphinxtabletest/fast

sphinxtabletest.o: sphinxtabletest.cpp.o
.PHONY : sphinxtabletest.o

# target to build an object file
sphinxtabletest.cpp.o:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f tests/CMakeFiles/sphinxtabletest.dir/build.make tests/CMakeFiles/sphinxtabletest.dir/sphinxtabletest.cpp.o
.PHONY : sphinxtabletest.cpp.o

sphinxtabletest.i: sphinxtabletest.cpp.i
.PHONY : sphinxtabletest.i

# target to preprocess a source file
sphinxtabletest.cpp.i:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f tests/CMakeFiles/sphinxtabletest.dir/build.make tests/CMakeFiles/sphinxtabletest.dir/sphinxtabletest.cpp.i
.PHONY : sphinxtabletest.cpp.i

sphinxtabletest.s: sphinxtabletest.cpp.s
.PHONY : sphinxtabletest.s

# target to generate assembly for a file
sphinxtabletest.cpp.s:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f tests/CMakeFiles/sphinxtabletest.dir/build.make tests/CMakeFiles/sphinxtabletest.dir/sphinxtabletest.cpp.s
.PHONY : sphinxtabletest.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... sphinxtabletest"
	@echo "... test"
	@echo "... sphinxtabletest.o"
	@echo "... sphinxtabletest.i"
	@echo "... sphinxtabletest.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== obj-i486-linux-gnu/generators/qtdoc/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_X86/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_X86/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/bruno/workspace/git/maemo5/generatorrunner

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_X86/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_X86/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/targets/FREMANTLE_X86/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/generators/qtdoc/CMakeFiles/progress.make
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 generators/qtdoc/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 generators/qtdoc/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 generators/qtdoc/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 generators/qtdoc/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
generators/qtdoc/CMakeFiles/docgenerator.dir/rule:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 generators/qtdoc/CMakeFiles/docgenerator.dir/rule
.PHONY : generators/qtdoc/CMakeFiles/docgenerator.dir/rule

# Convenience name for target.
docgenerator: generators/qtdoc/CMakeFiles/docgenerator.dir/rule
.PHONY : docgenerator

# fast build rule for target.
docgenerator/fast:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f generators/qtdoc/CMakeFiles/docgenerator.dir/build.make generators/qtdoc/CMakeFiles/docgenerator.dir/build
.PHONY : docgenerator/fast

# Convenience name for target.
generators/qtdoc/CMakeFiles/qtdoc_generator.dir/rule:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f CMakeFiles/Makefile2 generators/qtdoc/CMakeFiles/qtdoc_generator.dir/rule
.PHONY : generators/qtdoc/CMakeFiles/qtdoc_generator.dir/rule

# Convenience name for target.
qtdoc_generator: generators/qtdoc/CMakeFiles/qtdoc_generator.dir/rule
.PHONY : qtdoc_generator

# fast build rule for target.
qtdoc_generator/fast:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f generators/qtdoc/CMakeFiles/qtdoc_generator.dir/build.make generators/qtdoc/CMakeFiles/qtdoc_generator.dir/build
.PHONY : qtdoc_generator/fast

main.o: main.cpp.o
.PHONY : main.o

# target to build an object file
main.cpp.o:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f generators/qtdoc/CMakeFiles/docgenerator.dir/build.make generators/qtdoc/CMakeFiles/docgenerator.dir/main.cpp.o
.PHONY : main.cpp.o

main.i: main.cpp.i
.PHONY : main.i

# target to preprocess a source file
main.cpp.i:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f generators/qtdoc/CMakeFiles/docgenerator.dir/build.make generators/qtdoc/CMakeFiles/docgenerator.dir/main.cpp.i
.PHONY : main.cpp.i

main.s: main.cpp.s
.PHONY : main.s

# target to generate assembly for a file
main.cpp.s:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f generators/qtdoc/CMakeFiles/docgenerator.dir/build.make generators/qtdoc/CMakeFiles/docgenerator.dir/main.cpp.s
.PHONY : main.cpp.s

qtdocgenerator.o: qtdocgenerator.cpp.o
.PHONY : qtdocgenerator.o

# target to build an object file
qtdocgenerator.cpp.o:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f generators/qtdoc/CMakeFiles/qtdoc_generator.dir/build.make generators/qtdoc/CMakeFiles/qtdoc_generator.dir/qtdocgenerator.cpp.o
.PHONY : qtdocgenerator.cpp.o

qtdocgenerator.i: qtdocgenerator.cpp.i
.PHONY : qtdocgenerator.i

# target to preprocess a source file
qtdocgenerator.cpp.i:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f generators/qtdoc/CMakeFiles/qtdoc_generator.dir/build.make generators/qtdoc/CMakeFiles/qtdoc_generator.dir/qtdocgenerator.cpp.i
.PHONY : qtdocgenerator.cpp.i

qtdocgenerator.s: qtdocgenerator.cpp.s
.PHONY : qtdocgenerator.s

# target to generate assembly for a file
qtdocgenerator.cpp.s:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(MAKE) -f generators/qtdoc/CMakeFiles/qtdoc_generator.dir/build.make generators/qtdoc/CMakeFiles/qtdoc_generator.dir/qtdocgenerator.cpp.s
.PHONY : qtdocgenerator.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... docgenerator"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... qtdoc_generator"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
	@echo "... qtdocgenerator.o"
	@echo "... qtdocgenerator.i"
	@echo "... qtdocgenerator.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/bruno/workspace/git/maemo5/generatorrunner/obj-i486-linux-gnu && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
generatorrunner (0.6.4-1maemo1) unstable; urgency=low

  * New version from upstream.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Fri, 28 Jan 2011 14:24:43 -0400

generatorrunner (0.6.3-1maemo1) unstable; urgency=low

  * New version.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Fri, 26 Nov 2010 17:47:32 -0300

=== debian/control ===
Source: generatorrunner
Section: devel
Priority: optional
Maintainer: Didier Raboud <didier@raboud.com>
Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.0.50),
               libapiextractor-dev (>= 0.9.0-1maemo1), libqt4-dev (>= 4.5),
               cmake (>= 2.6.0), libxslt1-dev, quilt
Build-Depends-Indep: python-sphinxbase
Standards-Version: 3.9.1.0
Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
Homepage: http://www.pyside.org/home-binding/binding-generator/
DM-Upload-Allowed: yes

Package: libgenrunner0.6
Architecture: any
Section: libs
Conflicts: libgenrunner0 (<< 0.6.3), libgenrunner0.5
Replaces: libgenrunner0 (<< 0.6.3), libgenrunner0.5
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: generatorrunner (=${binary:Version}) 
Description: generatorrunner dedicated library
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library.

Package: libgenrunner-dev
Architecture: any
Section: libdevel
Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.9.0-1maemo1), ${shlibs:Depends}, ${misc:Depends}
Description: generatorrunner dedicated library headers
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library headers

Package: generatorrunner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: docgenerator
Description: plugin-based application to run apiextractor-based generators
 Runs generator plugins, such as docgenerator.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.

Package: docgenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         generatorrunner (= ${binary:Version})
Description: generator plugin for python bindings documentation
 Generates documentation for C++ library bindings using sphinx.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.

Package: generatorrunner-dbg
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
Section: debug
Description: debugging symbols for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the debugging symbols for generatorrunner, docgenerator
 and libgenrunner.

Package: generatorrunner-doc
Priority: extra
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Section: doc
Description: documentation for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the documentation for generatorrunner, docgenerator
 and libgenrunner.
